## org.eclipse.emf.exporter
Class ModelExporter.ReferencedGenPackageExportInfo

    java.lang.Object
      org.eclipse.emf.converter.ModelConverter.ReferencedGenPackageConvertInfo
          org.eclipse.emf.exporter.ModelExporter.ReferencedGenPackageExportInfo

Enclosing class:
  ModelExporter

    public static class ModelExporter.ReferencedGenPackageExportInfo

extends ModelConverter.ReferencedGenPackageConvertInfo

Field Summary
`protected URI` `artifactURI`
`protected java.lang.String` `modelExporterID`
`protected java.util.Map<java.lang.String,java.util.List<URI>>` `nsURIToLocalArtifactURIs`

Fields inherited from class org.eclipse.emf.converter.ModelConverter.ReferencedGenPackageConvertInfo
`validReference`

Constructor Summary
`ModelExporter.ReferencedGenPackageExportInfo()`

Method Summary
`URI` `getArtifactURI()`
`java.lang.String` `getModelExporterID()`
`java.util.Map<java.lang.String,java.util.List<URI>>` `getNSURIToLocalArtifactURIs()`
`void` `setArtifactURI(URI artifactURI)`
`void` `setModelExporterID(java.lang.String modelExporterID)`

Methods inherited from class org.eclipse.emf.converter.ModelConverter.ReferencedGenPackageConvertInfo
`isValidReference, setValidReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelExporterID

    protected java.lang.String modelExporterID

### artifactURI

    protected URI artifactURI

### nsURIToLocalArtifactURIs

    protected java.util.Map<java.lang.String,java.util.List<URI>> nsURIToLocalArtifactURIs

Constructor Detail

### ModelExporter.ReferencedGenPackageExportInfo

    public ModelExporter.ReferencedGenPackageExportInfo()

Method Detail

### getModelExporterID

    public java.lang.String getModelExporterID()

### setModelExporterID

    public void setModelExporterID(java.lang.String modelExporterID)

### getArtifactURI

    public URI getArtifactURI()

### setArtifactURI

    public void setArtifactURI(URI artifactURI)

### getNSURIToLocalArtifactURIs

    public java.util.Map<java.lang.String,java.util.List<URI>> getNSURIToLocalArtifactURIs()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.